const inline void FormulaCode(CVector4 &z, const sFractal *fractal, sExtendedAux &aux) override
	{
        
    global z.x;
    v2_11 = fabsl(*((arg1[48] - 16)) - z.x) # bp+11;
    v2_15 = fabsl(z.y) # bp+15;
    storemerge = cosl(z.y) if v2_15 < 9223372036854775808.0 else z.y;
    v4_19 = v2_11 * fabsl(storemerge) # bp+19;
    *z.x = v4_19;
    z.x = __asm_fptan(esi_global_2d_to_2d_local, ebp_global_2d_to_2d_local);
    v4_21 = v4_19 * z.y # bp+21;
    *z.y = v4_21 * v4_21;
    return z.x;


	}